//
//  ITGroup.h
//  JiT
//
//  Created by Peter Kristensen on 22/09/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ITProxy.h"

@class JiTStringWithImage,ITTimer;

@interface ITGroup : ITProxy {
	JiTStringWithImage *nameAndImage;

}

- (JiTStringWithImage *)nameAndImage;
- (NSImage *)image;
- (NSSet *)timers;
- (void)addTimer:(ITTimer *)timer;
- (void)deleteTimer:(ITTimer *)timer;
- (BOOL)isSmartGroup;
- (BOOL)isLibrary;

@end
