//
//  ITTimer.h
//  JiT
//
//  Created by Peter Kristensen on 22/09/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ITProxy.h"

@interface ITTimer : ITProxy {

}

- (NSNumber *)sortOrder;
- (void)setSortOrder:(NSNumber *)order;
- (void)addSegmentFrom:(NSDate *)fromDate to:(NSDate *)toDate;
- (BOOL)isRunning;
- (void)reset;

- (NSString *)name;
- (NSString *)notes;
- (double)totalTime;
- (int)color;

- (void)startTimer;
- (void)stopTimer;

@end
